FINDFS(8)

BEZEICHNUNG
findfs - ein Dateisystem anhand der Bezeichnung oder UUID suchen

ÜBERSICHT

findfs NAME=Wert

BESCHREIBUNG

findfs durchsucht die blockorientierten Geräte im System nach Dateisystemen oder Partitionen mit der angegebenen Bezeichnung. Gegenwärtig werden folgende Schalter unterstützt:

LABEL=<Bezeichnung>
    gibt die Bezeichnung des Dateisystems an.

UUID=<UUID>
    gibt die UUID des Dateisystems an.

PARTUUID=<UUID>
    gibt die UUID der Partition an. Der Partitionsbezeichner wird beispielsweise für Partitionstabellen im GPT-Format (GUID Partition Table) unterstützt.

PARTLABEL=<Bezeichnung>
    gibt die Partitionsbezeichnung (den Namen) an. Unterstützt werden hier beispielsweise das GPT-Format (GUID Partition Table) oder MAC-Partitionstabellen.

Falls das Dateisystem oder die Partition gefunden wird, wird der Name in die Standardausgabe geschrieben. Falls die Eingabe nicht im Format NAME=Wert erfolgt, wird die Eingabe unverändert in die Ausgabe kopiert.

Die vollständige Übersicht über Dateisysteme und Partitionen erhalten Sie beispielsweise mit

    lsblk --fs

    partx --show <Platte>

    blkid

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

EXIT-STATUS

0
    Erfolg

1
    Bezeichnung oder UUID konnte nicht gefunden werden

2
    Fehler bei der Benutzung, falsche Anzahl an Argumenten oder unbekannte Option

UMGEBUNGSVARIABLEN

LIBBLKID_DEBUG=all
    aktiviert die Debug-Ausgabe für libblkid.

AUTOREN

findfs wurde ursprünglich von geschrieben und für das Util-linux-Paket von neu geschrieben.

SIEHE AUCH

blkid(8), lsblk(8), partx(8)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl findfs ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.